package com.sv.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.*;

/**
 * Entity - 用户提现申请
 *
 * @author yechanglin
 * @since 2018-08-03
 */
public class MemberWithdrawApply implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 开户行
     */
    private String bankName;

    /**
     * 银行卡号
     */
    private String bankNo;

    /**
     * 姓名
     */
    private String name;

    /**
     * 状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     */
    private Integer status;

    /**
     * 提现金额
     */
    private BigDecimal money;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置用户ID
     *
     * @param memberId 用户ID
     */
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getMemberId(){
        return memberId;
    }


    /**
     * 设置开户行
     *
     * @param bankName 开户行
     */
    public void setBankName(String bankName){
        this.bankName = bankName;
    }

    /**
     * 获取开户行
     *
     * @return 开户行
     */
    public String getBankName(){
        return bankName;
    }


    /**
     * 设置银行卡号
     *
     * @param bankNo 银行卡号
     */
    public void setBankNo(String bankNo){
        this.bankNo = bankNo;
    }

    /**
     * 获取银行卡号
     *
     * @return 银行卡号
     */
    public String getBankNo(){
        return bankNo;
    }


    /**
     * 设置姓名
     *
     * @param name 姓名
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取姓名
     *
     * @return 姓名
     */
    public String getName(){
        return name;
    }


    /**
     * 设置状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @param status 状态
     */
    public void setStatus(Integer status){
        this.status = status;
    }

    /**
     * 获取状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @return 状态
     */
    public Integer getStatus(){
        return status;
    }


    /**
     * 设置提现金额
     *
     * @param money 提现金额
     */
    public void setMoney(BigDecimal money){
        this.money = money;
    }

    /**
     * 获取提现金额
     *
     * @return 提现金额
     */
    public BigDecimal getMoney(){
        return money;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

}